dpkg-scansources(1)

NOM
dpkg-scansources - créer des fichiers d'index de sources

SYNOPSIS
dpkg-scansources [option...] binary-dir [override-file [path-prefix]] > Sources

DESCRIPTION
dpkg-scansources recherche des fichiers .dsc dans le répertoire rep-de-binaires indiqué. Ces fichiers sont utilisés pour créer un index de sources Debian, qui est envoyé sur la sortie standard.

Le fichier-override, s'il est indiqué, est utilisé pour fixer les priorités dans l'index créé et pour modifier le responsable donné par les fichiers .dsc. Consultez deb-override(5) pour plus de détails sur le format de ce fichier. Note : S comme le fichier override est indexé par paquet binaire et non pas par paquet source, cela pose un léger problème. L'implémentation actuelle utilise la priorité la plus élevée des paquets produit par un fichier .dsc comme priorité du paquet source, et l'entrée du fichier override du premier paquet binaire listé dans le fichier .dsc pour modifier l'information sur le responsable. Ceci pourra changer.

Le chemin-à-préfixer, s'il est indiqué, est ajouté au début du champ Directory (« répertoire ») dans l'index des sources généré. C'est en règle générale utilisé pour que le champ Directory contienne un chemin depuis la racine de l'archive Debian.

Note : Si vous voulez accéder au fichier Sources généré avec apt(8), vous devrez probablement compresser ce fichier avec gzip(1) (pour créer un fichier Sources.gz). Apt ignore les fichiers Sources non compressés sauf pour les accès locaux (c'est-à-dire les sources file://).

OPTIONS

-n, --no-sort
    Ne trie pas les entrées de l'index. Elles sont d'habitude triées en fonction du nom du paquet source.

-e, --extra-override fichier
Examine fichier à la recherche d'« overrides » supplémentaires (ce
    fichier peut être compressé). Voir deb-extra-override(5) pour plus d'information sur le format utilisé.

-s, --source-override fichier
    Utilise fichier comme fichier override des sources (ce fichier peut être compressé). La valeur par défaut est le fichier override indiqué auquel est ajoutée l'extension .src.

    Le format des fichiers override des sources est différent des fichiers override des binaires. Il ne contient que deux champs séparés par des espaces, le premier indique le paquet source et le second, la section. Les lignes blanches et les lignes de commentaire sont ignorées comme à l'habitude. Si un paquet apparaît dans chaque fichier, le fichier des sources est prioritaire pour fixer la section.

--debug
    Active le débogage.

--help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

VOIR AUSSI
deb-override(5), deb-extra-override(5), dpkg-scanpackages(1).

AUTEUR
Roderick Schertler <roderick@argon.org>

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.